Skip to main content

Gets the event type list

POST /v1/eventtype/list

Summary​

Gets the event type list.

Details​

Request body: JSON object with the agent type name.

Authentication​

No operation-level security requirement is documented here.

Parameters​

None documented here.

Request Body​

Required: Yes

application/json​

  • agentType (string, optional)

Example

{
"agentType": "Device"
}

Responses​

200​

Success

application/json​

  • array of EventType
    • key (integer (int64), optional)
    • legacyEventTypeID (integer (int64), optional)
    • agentTypeID (integer (int64), optional)
    • eventTypeName (string, optional)
    • description (string, optional)
    • creationDate (string (date-time), optional)

Example

[
{
"key": 1,
"legacyEventTypeID": 1,
"agentTypeID": 1,
"eventTypeName": "Run",
"description": "Example description",
"creationDate": "2026-03-30T12:00:00.0000000Z"
}
]